### A free/open-source library for quantitative finance

Typedefs
ql/math/randomnumbers/rngtraits.hpp File Reference

random-number generation policies More...

`#include <ql/methods/montecarlo/pathgenerator.hpp>`
`#include <ql/math/randomnumbers/mt19937uniformrng.hpp>`
`#include <ql/math/randomnumbers/inversecumulativerng.hpp>`
`#include <ql/math/randomnumbers/randomsequencegenerator.hpp>`
`#include <ql/math/randomnumbers/sobolrsg.hpp>`
`#include <ql/math/randomnumbers/inversecumulativersg.hpp>`
`#include <ql/math/distributions/normaldistribution.hpp>`
`#include <ql/math/distributions/poissondistribution.hpp>`
Include dependency graph for rngtraits.hpp:

## Typedefs

typedef GenericPseudoRandom < MersenneTwisterUniformRng, InverseCumulativeNormal > | PseudoRandom
| default traits for pseudo-random number generation
typedef GenericPseudoRandom < MersenneTwisterUniformRng, InverseCumulativePoisson > | PoissonPseudoRandom
| traits for Poisson-distributed pseudo-random number generation
typedef GenericLowDiscrepancy < SobolRsg, InverseCumulativeNormal > | LowDiscrepancy
| default traits for low-discrepancy sequence generation

## Detailed Description

random-number generation policies